#include "vector3D.h"

Vector3D Vector3D::operator+(const Vector3D& other) {
  Vector3D v {x, y, z};
  v.x += other.x;
  v.y += other.y;
  v.z += other.z;

  return v;
}

Vector3D Vector3D::operator*(const double& other) const {
  Vector3D v {x, y, z};
  v.x *= other;
  v.y *= other;
  v.z *= other;

  return v;
}

double Vector3D::operator*(const Vector3D& other) const {
  double dot;
  
  dot = x*other.x + y*other.y + z*other.z;

  return dot;
}

void Vector3D::print() const {
  std::cout << "(" << x << ", ";
  std::cout << y << ", ";
  std::cout << z << ")";
}
